Archivos de Tags: apt-get @es

Instalar software en versiones no soportadas de Ubuntu con apt-get

Cuando una versión de Ubuntu ya no es soportada sus repositorios pasan a un servidor de archivo. Si no actualizas los repositorios te aparecerán errores como estos:

Err http://archive.ubuntu.com quantal/main i386 Packages
  404  Not Found [IP: 91.189.91.14 80]
Err http://archive.ubuntu.com quantal/restricted i386 Packages
  404  Not Found [IP: 91.189.91.14 80]
Err http://archive.ubuntu.com quantal/universe i386 Packages
  404  Not Found [IP: 91.189.91.14 80]
Err http://archive.ubuntu.com quantal/multiverse i386 Packages
  404  Not Found [IP: 91.189.91.14 80]
Err http://archive.ubuntu.com quantal-updates/main i386 Packages
  404  Not Found [IP: 91.189.91.14 80]
Err http://archive.ubuntu.com quantal-updates/restricted i386 Packages
  404  Not Found [IP: 91.189.91.14 80]
Err http://archive.ubuntu.com quantal-updates/universe i386 Packages
  404  Not Found [IP: 91.189.91.14 80]
Err http://archive.ubuntu.com quantal-updates/multiverse i386 Packages
  404  Not Found [IP: 91.189.91.14 80]
Err http://archive.ubuntu.com quantal-security/main i386 Packages
  404  Not Found [IP: 91.189.91.14 80]
Err http://archive.ubuntu.com quantal-security/restricted i386 Packages
  404  Not Found [IP: 91.189.91.14 80]
Err http://archive.ubuntu.com quantal-security/universe i386 Packages
  404  Not Found [IP: 91.189.91.14 80]
Err http://archive.ubuntu.com quantal-security/multiverse i386 Packages
  404  Not Found [IP: 91.189.91.14 80]

La clave para resolver esto es cambiar las urls de los repositorios de archive.ubuntu.com y security.ubuntu.com a old-releases.ubuntu.com:

sudo sed -i -e 's/archive.ubuntu.com|security.ubuntu.com/old-releases.ubuntu.com/g' /etc/apt/sources.list

Luego actualizar:

sudo apt-get update

apt-get-404

Ref: http://askubuntu.com/questions/91815/how-to-install-software-or-upgrade-from-old-unsupported-release